OKWAVEのAI「あい」が美容・健康の悩みに最適な回答をご提案!
-PR-
締切り
済み

サービスパック、ランタイムの他のバージョン環境との相性について

  • 暇なときにでも
  • 質問No.218610
  • 閲覧数291
  • ありがとう数4
  • 気になる数0
  • 回答数6
  • コメント数0

お礼率 58% (7/12)

只今、VB6.0 SP5の環境で作成したアプリのリリースを控えております。

しかし、製造期間の都合上、本当はCで作成すべきと思いつつVBで製造してしまいました。

それで大変不安な点があるのですが、
このアプリはWindows9X,NT,2000,XPの全てを対応するように作成しました。
しかし、VBアプリという以上、他バージョンで作成されたVBアプリ、
またはサービスパックバージョンが異なる環境で製造リリースされたアプリが既にインストールされている端末に当アプリをインストールした場合、
ランタイム間で競合や不具合が生じたりしないのだろうかということです。
マイクロソフトのHPを見てみましたが、開発環境は共存不可能とは書かれておりましたが、配布されるランタイム同士の相性についてかかれた資料は見当たりませんでした。
最新のサービスパックであれば問題ないととれる内容の資料もあったのですが、曖昧に書かれていて信用できかねるものでした。

ちなみに使用しているコンポーネントは、
Winsock6.0とSysinfo6.0、それとコモンコントロール6.0(SP4)の3つです。

どなたか、事情をご存知の方、またはご経験がある方がいらっしゃいましたら何か教法を教えて頂けないでしょうか?

よろしくお願い致します。
通報する
  • 回答数6
  • 気になる
    質問をブックマークします。
    マイページでまとめて確認できます。

回答 (全6件)

  • 回答No.2
レベル12

ベストアンサー率 40% (230/562)

WinsockとSysinfoは大丈夫でしょうが、コモンコントロールのSP4ってのはまずいですね。 Windows98ではSP4のコモンコントロールを手に入れるには、ランタイムとして配布してもらう以外には開発者でないとムリでしょうね。 MEも怪しいです。 NT系はサービスパックによっていろいろパワーアップするのでSP4くらいなら問題なさそうです(推測。 sssoheiさまの言うとおり、ランタイムと ...続きを読む
WinsockとSysinfoは大丈夫でしょうが、コモンコントロールのSP4ってのはまずいですね。
Windows98ではSP4のコモンコントロールを手に入れるには、ランタイムとして配布してもらう以外には開発者でないとムリでしょうね。
MEも怪しいです。
NT系はサービスパックによっていろいろパワーアップするのでSP4くらいなら問題なさそうです(推測。
sssoheiさまの言うとおり、ランタイムとしてパッケージするといいと思います。


  • 回答No.1
レベル9

ベストアンサー率 33% (33/98)

サービスパック毎に挙動の違い(バグの修正も含む)があるので、100%動く保証は無いらしく、たまに、動作の違いを生み出すことがあるようです。 ただ、最新のSPは下位互換性を考慮して設計されているはず(古いコモンコントロールなどを含んでいたり)なので、まず問題ないと思っています。 最新のSPランタイムをつけて配布すればOKではないでしょうか? # 最悪の場合、マイクロソフトが推奨しているわけですし、 ...続きを読む
サービスパック毎に挙動の違い(バグの修正も含む)があるので、100%動く保証は無いらしく、たまに、動作の違いを生み出すことがあるようです。
ただ、最新のSPは下位互換性を考慮して設計されているはず(古いコモンコントロールなどを含んでいたり)なので、まず問題ないと思っています。

最新のSPランタイムをつけて配布すればOKではないでしょうか?
# 最悪の場合、マイクロソフトが推奨しているわけですし、悪いのはマイクロソフトだ、、、、というわけには、、、行かないんですよね…^^;
お礼コメント
Murphy

お礼率 58% (7/12)

レスをありがとうございます。

みなさん不安を残しつつもまずは問題ないだろうという感じでしょうか?
まあ、どんな開発環境で作成してリリースを行っても、
100%安心なものは無いと思いますので、
当方も悩まないことに致します。

どうもありがとうございました。
投稿日時 - 2002-02-16 18:35:08
  • 回答No.3
レベル13

ベストアンサー率 59% (729/1235)

> みなさん不安を残しつつもまずは問題ないだろうという感じでしょう > か? VB6(SP5)のアプリに関してはそうです。 ただし、他バージョンで作成されたVBアプリがランタイム間で競合や不具合で動かなくなり可能性はかなりあります。(経験もあります) その辺はどうしようもない問題なので、アプリをリリースするときに制限事項として明記するしか手立てがないと思います。 ...続きを読む
> みなさん不安を残しつつもまずは問題ないだろうという感じでしょう
> か?
VB6(SP5)のアプリに関してはそうです。
ただし、他バージョンで作成されたVBアプリがランタイム間で競合や不具合で動かなくなり可能性はかなりあります。(経験もあります)
その辺はどうしようもない問題なので、アプリをリリースするときに制限事項として明記するしか手立てがないと思います。
補足コメント
Murphy

お礼率 58% (7/12)

>VB6(SP5)のアプリに関してはそうです。
>ただし、他バージョンで作成されたVBアプリがランタイム間で競合や不具合で動か>なくなり可能性はかなりあります。(経験もあります)

このご経験は(SP5)で作成されたものに関してでしょうか?
ちなみに他バージョンというのはサービスパックのことですか?
それともVB自身のことでしょうか?

大変恐縮ですが教えて頂けないでしょうか?
投稿日時 - 2002-02-18 14:00:33
  • 回答No.4
レベル13

ベストアンサー率 59% (729/1235)

当方ではVB4のアプリをリリースしています。 VB5, VB6のアプリまたは開発環境をインストールすると色々問題が起きるなーという経験です。 # 具体的な事例に関しては勘弁して下さい。 ...続きを読む
当方ではVB4のアプリをリリースしています。
VB5, VB6のアプリまたは開発環境をインストールすると色々問題が起きるなーという経験です。
# 具体的な事例に関しては勘弁して下さい。
補足コメント
Murphy

お礼率 58% (7/12)

>当方ではVB4のアプリをリリースしています。
>VB5, VB6のアプリまたは開発環境をインストールすると色々問題が起きるなーという経験です。

この文章は開発環境を持つマシンにはインストール出来ないということで理解してよろしいでしょうか?
これに関してはMSの方でも制約事項としているので仕方がないと思っています。

ちなみにVB4ってVB5と相性が悪いのでは???
勘違いだったらすいません。

当方が気にしているのは、あくまでもランタイム間のみの競合についてでした。
当方のアプリと、既にインストールされている可能性がある他のVBアプリです。

># 具体的な事例に関しては勘弁して下さい。

無理をお願いしてすいません。
さすがに事例まではお願いできないと思っております。
投稿日時 - 2002-02-18 14:41:11
  • 回答No.5
レベル13

ベストアンサー率 59% (729/1235)

>この文章は開発環境を持つマシンにはインストール出来ないということ で理解してよろしいでしょうか? いいえ。 VB4アプリが動いている環境にVB6アプリをインストールすると、VB4アプリに 不具合が発生するかも..という意見も含んでます。 ...続きを読む
>この文章は開発環境を持つマシンにはインストール出来ないということ
で理解してよろしいでしょうか?

いいえ。
VB4アプリが動いている環境にVB6アプリをインストールすると、VB4アプリに
不具合が発生するかも..という意見も含んでます。
補足コメント
Murphy

お礼率 58% (7/12)

このような組み合わせに関しましては、
当方ではラインタイムの名称がことなる(=共存できている)為、
ほとんど問題視しておりません。

まあ、どんな製品も不具合の可能性0とは言えませんけど・・(^^;

当方でもたくさんVBのアプリは製造していますが、
VB6が下位のVBより劣っている点はないような気がするのですが・・・。

当方では、VB4とVB5の相性が悪いと聞いているので、
過去のシステムはなるべくVB6に上げるようにしています。
それゆえか、VB6のサービスパックのバージョン間の互換性の問題が一番気になります。
とりあえず最新(SP5)を入れとけばほとんどのケースは問題ないだろうと今のところは踏んでいるのですが・・・。
投稿日時 - 2002-02-18 15:41:29
  • 回答No.6
レベル13

ベストアンサー率 59% (729/1235)

>当方では、VB4とVB5の相性が悪いと聞いているので、 >過去のシステムはなるべくVB6に上げるようにしています。 VB4アプリとVB5アプリの組み合わせは相性悪い。 VB4アプリとVB6アプリの組み合わせはほとんど問題ない。 VB5アプリとVB6アプリの組み合わせはほとんど問題ない。 と意見として解釈してよろしいですか? >過去のシステムはなるべくVB6に ...続きを読む
>当方では、VB4とVB5の相性が悪いと聞いているので、
>過去のシステムはなるべくVB6に上げるようにしています。

VB4アプリとVB5アプリの組み合わせは相性悪い。
VB4アプリとVB6アプリの組み合わせはほとんど問題ない。
VB5アプリとVB6アプリの組み合わせはほとんど問題ない。

と意見として解釈してよろしいですか?


>過去のシステムはなるべくVB6に上げるようにしています。

当方もVB6に上げたいところですが、工数と既存ユーザーのサポートを考えると無理です(泣)。


>それゆえか、VB6のサービスパックのバージョン間の互換性の問題が一番気にな
>ります。

仮にSPのバージョンで問題が発生したとしても、最新のSPを使っていない奴が悪い!
ということで、責任を逃れられませんか?
お礼コメント
Murphy

お礼率 58% (7/12)

>当方もVB6に上げたいところですが、工数と既存ユーザーのサポートを考えると無理です(泣)。

そういうことだったのですか。
VB6、5に致命的な問題があって避けられているのかと思いました。
文面からはVB4以外使い物にならないと判断して今でもVB4で製造、リリースしているように受け取れましたので・・・。

>仮にSPのバージョンで問題が発生したとしても、最新のSPを使っていない奴が悪い!
>ということで、責任を逃れられませんか?

今のところこれしか当方も思いついていません。(^^;
後は何が起こるか怯えながら暮らすだけですね。

いろいろとどうもありがとうございました。
投稿日時 - 2002-02-18 17:43:14
このQ&Aで解決しましたか?
関連するQ&A
-PR-
-PR-
こんな書き方もあるよ!この情報は知ってる?あなたの知識を教えて!
このQ&Aにはまだコメントがありません。
あなたの思ったこと、知っていることをここにコメントしてみましょう。

その他の関連するQ&A、テーマをキーワードで探す

キーワードでQ&A、テーマを検索する
-PR-
-PR-
-PR-

特集


いま みんなが気になるQ&A

関連するQ&A

-PR-

ピックアップ

-PR-
ページ先頭へ